Package javax.validation.spi

# Interface ConfigurationState

public interface ConfigurationState

Version:
  $Rev$ $Date$

## Method Summary

Modifier and Type
Method
Description
`ConstraintValidatorFactory`
`getConstraintValidatorFactory()`
`Set<InputStream>`
`getMappingStreams()`
`MessageInterpolator`
`getMessageInterpolator()`
`ParameterNameProvider`
`getParameterNameProvider()`
`Map<String,String>`
`getProperties()`
`TraversableResolver`
`getTraversableResolver()`
`boolean`
`isIgnoreXmlConfiguration()`

## Method Details

### isIgnoreXmlConfiguration

boolean isIgnoreXmlConfiguration()

### getMessageInterpolator

MessageInterpolator getMessageInterpolator()

### getMappingStreams

Set<InputStream> getMappingStreams()

### getConstraintValidatorFactory

ConstraintValidatorFactory getConstraintValidatorFactory()

### getTraversableResolver

TraversableResolver getTraversableResolver()

### getProperties

Map<String,String> getProperties()

### getParameterNameProvider

ParameterNameProvider getParameterNameProvider()

Since:
  1.1